http://catalog.marketplace.{region}.amazonaws.com/CancelChangeSet#catalog&changeSetIdUsed to cancel an open change request. Must be sent before the status of the request changes to <code>APPLYING</code>, the final stage of completing your change request. You can describe a change during the 60-day request history retention period for API calls.
Required. The catalog related to the request. Fixed value: <code>AWSMarketplace</code>.
Required. The unique identifier of the <code>StartChangeSet</code> request that you want to cancel.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://catalog.marketplace.{region}.amazonaws.com/CancelChangeSet#catalog&changeSetId' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://catalog.marketplace.{region}.amazonaws.com/CancelChangeSet#catalog&changeSetIdUsed to cancel an open change request. Must be sent before the status of the request changes to <code>APPLYING</code>, the final stage of completing your change request. You can describe a change during the 60-day request history retention period for API calls.
Required. The catalog related to the request. Fixed value: <code>AWSMarketplace</code>.
Required. The unique identifier of the <code>StartChangeSet</code> request that you want to cancel.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://catalog.marketplace.{region}.amazonaws.com/CancelChangeSet#catalog&changeSetId' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}